Skip to main content
PATCH
/
v1
/
knowledge-bases
/
{knowledge_base_id}
/
document
/
{document_id}
Update Knowledge Base Document
curl --request PATCH \
  --url https://api.example.com/v1/knowledge-bases/{knowledge_base_id}/document/{document_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "summary": "<string>",
  "short_summary": "<string>",
  "doc_type": "<string>",
  "error": {},
  "warnings": [
    {
      "detail": "<string>",
      "node_id": "<string>",
      "params": {},
      "markdown": "<string>",
      "snippet": "<string>"
    }
  ],
  "prefix": "<string>",
  "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dismissed": true,
  "needs_reingestion": true
}
'
import requests

url = "https://api.example.com/v1/knowledge-bases/{knowledge_base_id}/document/{document_id}"

payload = {
"name": "<string>",
"summary": "<string>",
"short_summary": "<string>",
"doc_type": "<string>",
"error": {},
"warnings": [
{
"detail": "<string>",
"node_id": "<string>",
"params": {},
"markdown": "<string>",
"snippet": "<string>"
}
],
"prefix": "<string>",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dismissed": True,
"needs_reingestion": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
summary: '<string>',
short_summary: '<string>',
doc_type: '<string>',
error: {},
warnings: [
{
detail: '<string>',
node_id: '<string>',
params: {},
markdown: '<string>',
snippet: '<string>'
}
],
prefix: '<string>',
file_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dismissed: true,
needs_reingestion: true
})
};

fetch('https://api.example.com/v1/knowledge-bases/{knowledge_base_id}/document/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "summary": "<string>",
  "error": {},
  "updated_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "size": 123,
  "short_summary": "<string>",
  "doc_type": "<string>",
  "source_metadata": {},
  "content_type": "<string>",
  "has_conversion": true,
  "doc_metadata": {},
  "name": "<string>",
  "prefix": "<string>",
  "uri": "<string>",
  "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dismissed": true,
  "warnings": [
    "<unknown>"
  ],
  "needs_reingestion": true
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

knowledge_base_id
string
required
document_id
string
required

Body

application/json
name
string | null
summary
string | null
short_summary
string | null
status
enum<string> | null
Available options:
trained,
training,
error,
uploaded,
folder
doc_type
string | null
error
Error · object | null
warnings
SpotWarning · object[] | null
prefix
string | null
file_id
string<uuid> | null
dismissed
boolean | null
needs_reingestion
boolean | null

Response

Successful Response

id
string<uuid>
required
summary
string | null
required
status
enum<string>
required
Available options:
trained,
training,
error,
uploaded,
folder
error
Error · object | null
required
updated_at
string<date-time>
required
created_at
string<date-time>
required
size
integer
required
short_summary
string | null
doc_type
string | null
source_type
enum<string> | null
Available options:
Document,
Google Drive,
Notion,
Website,
OneDrive,
Slack,
Linear,
Github,
Teams,
Sharepoint,
ServiceNow,
Custom
source_metadata
Source Metadata · object | null
content_type
string | null
has_conversion
boolean | null
doc_metadata
Doc Metadata · object | null
name
string | null
prefix
string | null
uri
string | null
file_id
string<uuid> | null
run_id
string<uuid> | null
dismissed
boolean | null
warnings
any[] | null
needs_reingestion
boolean | null